org.apache.lucene.util

## Class NumericUtils.LongRangeBuilder

- java.lang.Object
- - org.apache.lucene.util.NumericUtils.LongRangeBuilder

- Enclosing class:
    NumericUtils

      public abstract static class NumericUtils.LongRangeBuilder
      extends Object

  Callback for `NumericUtils.splitLongRange(org.apache.lucene.util.NumericUtils.LongRangeBuilder, int, long, long)`. You need to overwrite only one of the methods.
  Since:
    2.9, API changed non backwards-compliant in 4.0
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumericUtils.LongRangeBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRange(BytesRef minPrefixCoded, BytesRef maxPrefixCoded)` Overwrite this method, if you like to receive the already prefix encoded range bounds.
    `void` | `addRange(long min, long max, int shift)` Overwrite this method, if you like to receive the raw long range bounds.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NumericUtils.LongRangeBuilder

          public NumericUtils.LongRangeBuilder()

  - ### Method Detail

    - #### addRange

          public void addRange(BytesRef minPrefixCoded,
                      BytesRef maxPrefixCoded)

      Overwrite this method, if you like to receive the already prefix encoded range bounds. You can directly build classical (inclusive) range queries from them.

    - #### addRange

          public void addRange(long min,
                      long max,
                      int shift)

      Overwrite this method, if you like to receive the raw long range bounds. You can use this for e.g. debugging purposes (print out range bounds).

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.